[Biojava-dev] biojava 3 - java version

Richard Holland dicknetherlands at gmail.com
Fri Oct 24 05:58:18 EDT 2008


It's only the older PPC Mac models (running Mac OS X 10.4 or older) which
can't get any newer official versions of Java than 1.5 / 5.0.

However, an alternative (free) route for obtaining a Java 1.6 / 6.0 compiler
is provided for these older machines:
http://landonf.bikemonkey.org/static/soylatte/

We wanted to move to Java 6 because it'll likely take about a year to get
BJ3 fully up and running, by which time Java 6 will probably be the oldest
supported version of Java available from Sun (5.0 is already end-of-lifed,
and with 7.0 due out in January it is likely to be desupported very soon.
When 8.0 probably about 12 months after BJ3 is finished then 5.0 will
definitely become desupported).

cheers,
Richard


2008/10/24 Andreas Prlic <andreas at sdsc.edu>

> Hi,
>
> I just tried to get an initial svn checkout of biojava3 on my mac at
> home. It fails to build since there is no Java 1.6 available for my
> OSX 10.4.11 ...
> Is there a strong reason why we should enforce java 1.6? otherwise
> would be good to support 1.5+
>
> Andreas
> _______________________________________________
> biojava-dev mailing list
> biojava-dev at lists.open-bio.org
> http://lists.open-bio.org/mailman/listinfo/biojava-dev
>



-- 
Richard Holland, BSc MBCS
Finance Director, Eagle Genomics Ltd
M: +44 7500 438846 | E: holland at eaglegenomics.com
http://www.eaglegenomics.com/


More information about the biojava-dev mailing list